package com.xyzshell.myphoneinfo.dashboard

import android.os.Bundle
import androidx.activity.enableEdgeToEdge
import androidx.appcompat.app.AppCompatActivity
import androidx.core.view.ViewCompat
import androidx.core.view.WindowInsetsCompat
import androidx.recyclerview.widget.LinearLayoutManager
import com.xyzshell.myphoneinfo.R
import com.xyzshell.myphoneinfo.adapter.ListAdapter
import com.xyzshell.myphoneinfo.databinding.ActivityBlueToothBinding

class BlueToothActivity : AppCompatActivity() {
    private lateinit var binding: ActivityBlueToothBinding
    companion object{
        val TITLE_KEY="title"
    }
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        binding = ActivityBlueToothBinding.inflate(layoutInflater)
        setContentView(binding.root)
        binding.recyclerView.adapter= ListAdapter()
        binding.recyclerView.layoutManager= LinearLayoutManager(this)
        binding.titleText.text=intent.getStringExtra(TITLE_KEY)
        binding.backBtn.setOnClickListener { finish() }
    }
}